Bug 197846 - www/h2o: update to 1.0.1 & include improvements from @chipitsine
Summary: www/h2o: update to 1.0.1 & include improvements from @chipitsine
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Andrej Zverev
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2015-02-20 12:30 UTC by Dave Cottlehuber
Modified: 2015-03-02 11:53 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback? (dch)


Attachments
h2o v1.0.0 (5.36 KB, text/plain)
2015-02-20 12:30 UTC, Dave Cottlehuber
no flags Details
h2o.1.0.1.shar (5.24 KB, patch)
2015-02-23 08:58 UTC, Dave Cottlehuber
no flags Details | Diff
www/h2o.1.0.1.diff (1.55 KB, patch)
2015-02-23 09:51 UTC, Dave Cottlehuber
no flags Details | Diff
h2o.1.0.1.diff (1.83 KB, patch)
2015-02-23 12:50 UTC, Dave Cottlehuber
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Cottlehuber freebsd_committer 2015-02-20 12:30:50 UTC
Created attachment 153205 [details]
h2o v1.0.0

h2o suddenly jumped to 1.0.0 after the IETF announced that HTTP/2 was finalised.

This minor update includes improvements from [@chipitsine] and further FreeBSD related improvements [changelog], notably using kqueue on FreeBSD for improved performance.

[changelog]: https://github.com/h2o/h2o/releases/tag/v1.0.0
[2chipitsine]: https://github.com/skunkwerks/freebsd-ports/commit/882494476fc54705d9f2a8ad1bd6f9ca5adda32c
Comment 1 Dave Cottlehuber freebsd_committer 2015-02-23 08:58:38 UTC
Created attachment 153367 [details]
h2o.1.0.1.shar

- bump port to v1.0.1 to include reverse proxy bugfixes
- https://github.com/skunkwerks/freebsd-ports/commit/98b2118
- https://github.com/skunkwerks/freebsd-ports/blob/98b21183dfbe443a014bbd562422a3a38abb1482/h2o/Makefile
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-02-23 09:32:13 UTC
Thanks Dave.

Can you please attach an svn diff, shell archives (.shar) are only accepted for new ports.

Please also obsolete the attachments you don't want to be reviewed/included (ie, both of the existing attachments).

You can do this by clicking Details next to the attachment, then 'Edit Details' and check the 'Obsolete' checkbox.
Comment 3 Dave Cottlehuber freebsd_committer 2015-02-23 09:51:12 UTC
Created attachment 153369 [details]
www/h2o.1.0.1.diff

generated via git diff --no-prefix, IIRC this is compatible.
Comment 4 Dave Cottlehuber freebsd_committer 2015-02-23 12:50:19 UTC
Created attachment 153372 [details]
h2o.1.0.1.diff

- update to 1.0.1
- ignore build on OSVERSION < 9.0 as it doesn't compile even with clang
- include port improvements from @chipitsine
Comment 5 commit-hook freebsd_committer 2015-03-02 11:52:57 UTC
A commit references this bug:

Author: az
Date: Mon Mar  2 11:51:57 UTC 2015
New revision: 380250
URL: https://svnweb.freebsd.org/changeset/ports/380250

Log:
  - update to 1.0.1
  - ignore build on OSVERSION < 9.0 as it doesn't compile even with clang
  - some port cleanups

  PR:		197846
  Submitted by:	dch@skunkwerks.at (maintainer)

Changes:
  head/www/h2o/Makefile
  head/www/h2o/distinfo
  head/www/h2o/files/h2o.in